Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.Treeless.Erase

Synopsis

- eraseTerms :: QName -> TTerm -> TCM TTerm
- computeErasedConstructorArgs :: QName -> TCM ()

# Documentation

eraseTerms :: QName -> TTerm -> TCM TTerm #

computeErasedConstructorArgs :: QName -> TCM () #

Takes the name of the data/record type.